import dayjs from 'dayjs';
import defaultLang from "./lang/en";
var lang = defaultLang;
var app;
var i18nHandler = null;
export var i18n = function i18n(fn) {
  i18nHandler = fn;
};

function template(str, option) {
  if (!str || !option) return str;
  return str.replace(/\{(\w+)\}/g, function (_, key) {
    return option[key];
  });
}

var defaultTranslator = function defaultTranslator() {
  for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
    args[_key] = arguments[_key];
  }

  var path = args[0],
      option = args[1];
  var value;
  var array = path.split('.');
  var current;

  if (!app) {
    current = lang;
  } else {
    current = app.config.globalProperties.$ELEMENT.locale;
  }

  for (var i = 0, j = array.length; i < j; i++) {
    var property = array[i];
    value = current[property];
    if (i === j - 1) return template(value, option);
    if (!value) return '';
    current = value;
  }
};

export var t = function t() {
  if (i18nHandler) {
    var translation = i18nHandler.apply(void 0, arguments);

    if (!translation) {
      return defaultTranslator.apply(void 0, arguments);
    }
  }

  return defaultTranslator.apply(void 0, arguments);
};
export var use = function use(l, _app) {
  lang = l || lang;
  app = _app;

  if (lang.name) {
    dayjs.locale(lang.name);
  }
};
export var setLocale = use;